Kerbal Space Program - Bug #24418

Encounters and Encounter Icons are flickering all over the place and giving false positives
(maneuvers and in flight)

11/24/2019 03:16 AM - Anth12

Status: New Start date: 11/24/2019
Severity: Low % Done: 0%
Assignee:

Category: Map and Planetarium

Target version:

Version: 1.8.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

KSP 1.8.1 MH + BG (no mods)
Video Shows the issue:

https://youtu.be/kAoNnpiaHbk

For Testing from the video:
1_8_1 Closest Approach Bug.sfs

How to replicate:
Increase orbit until it crosses with Duna to see the issue

Log File has the following pop up which only seems to happen when the icons are flickering but doesnt happen always

"[Orbit] SolveClosestApproach: solve took too many iterations, result incorrect”

History

#1 - 11/24/2019 06:53 AM - MistyShadows

| was having a similar issue to this when | was attempting to rendezvous with Gilly (in my planetary encounter bug post). This flickering disappeared
after | restarted my game client and uninstalled camera tools, so | attributed the problem to the mod, but it could have equally been a bug that
disappeared on a restart.

#2 - 11/24/2019 05:50 PM - Anth12
- File KSP without maneuver.log added
- File 1_8_1 Without Maneuver Node.sfs added

MistyShadows | used the quicksave from your bug report to show more information and zeroing out the inclination
Video shows this happening without a maneuver node and constant spam in the console (look to the new log file for this one

https://youtu.be/6DZzRESEFVc (edit:not the right account)

Note The problem went away on reloading it on a quicksave (which is attached)
It can be made to do it again by changing inclination a little bit

#3 - 11/25/2019 02:49 AM - MistyShadows

Very interesting. There is definitely a problem with the closest approach indicator. In the second video (using my save) it seems to really like (or hate)
ascending and descending nodes which is to be expected since in this particular case, this is where the intersection would occur, but it is interesting
that this ties into inclination change triggering the problem. Though in your original video, it doesn't seem linked to ascending and descending nodes.
I'm not sure how useful these observations are.

#4 - 11/25/2019 11:39 PM - Anth12

At a zero inclination theres just more points of contact for the bug to show itself | think.
https://youtu.be/kAoNnpiaHbk
https://youtu.be/6DZzRE5EFVc

More information for this issue will hopefully show the powers that be where to focus

#5 - 12/04/2019 03:00 AM - Anth12

- Subject changed from Encounter Icons are flickering all over the place and giving false positives when manipulating maneuver nodes to Encounters

and Encounter Icons are flickering all over the place and giving false positives (maneuvers and in flight)

https://youtu.be/3fKPS-TDIDc

Shows this is much worse than the icons

Files

1_8_1 Closest Approach Bug.sfs 1.47 MB 11/24/2019 Anth12

KSP.log 658 KB 11/24/2019 Anth12

KSP without maneuver.log 470 KB 11/24/2019 Anth12

1_8_1 Without Maneuver Node.sfs 351 KB 11/24/2019 Anth12
